// ------------------------------------------------------------
// File:        gov_debug.js
//
// Copyright:   (c) 2002 Darren John Dwyer,
//              All Rights Reserved.
//
// ------------------------------------------------------------
// Debug interface
//
// This file provides a simple to use debugging interface
//
// ------------------------------------------------------------
// Example:
//        DebugMessage("this is a debug message");
//
// ------------------------------------------------------------

var Debugging = true;
var Debug_Header = 'Debug Information'
var Debug_Message = '';
var Debug_Lines = 0;
var Debug_Max_Lines = 10;

// ------------------------------------------------------------
// DebugMessage() - replaced with Debug()
// ------------------------------------------------------------

function DebugMessage( debug_text )
{
Debug( debug_text );
}

// ------------------------------------------------------------
// Debug()
// ------------------------------------------------------------

function Debug( debug_text )
{
if (!Debugging) return;

var pre = '<FONT FACE="Comic Sans MS" SIZE=-3 COLOR="WHITE"><B>';
var post = '</B></FONT>';

if (Debug_Lines>Debug_Max_Lines) Debug_Lines = 0;
if (Debug_Lines==0)
    {
    Debug_Message = '<CENTER><U>' + Debug_Header + '</U></CENTER><BR>';
    Debug_Lines = 1;
    }
Debug_Message = Debug_Message + debug_text + '<BR>';
Debug_Lines = Debug_Lines + 1;

if (IE) 
    {
    debug_window_text.SetHTML( pre+Debug_Message+post );
    }
else     
    {
    if (document.debug_window_netscape_text)
        {
        alert("YEP");
        document.Debug_Message_NS.document.open();
        document.Debug_Message_NS.document.write( pre + debug_text + post );
        document.Debug_Message_NS.document.close();
        }
    }
}

// ------------------------------------------------------------
// stuff for OpenDebugWindow()
// ------------------------------------------------------------

var main_button_timer = null;

// ------------------------------------------------------------
// GrowMain()
// ------------------------------------------------------------

function GrowMain()
{
DebugMessage("Growing Main");
var width = main_button_image.Width();
if (width<400)
    {
    var pos = 40;
    main_button_image.MoveBy( 0, -pos );
    main_button_image.GrowBy( pos*2, pos );
    }
}

// ------------------------------------------------------------
// ShrinkMain()
// ------------------------------------------------------------

function ShrinkMain()
{
DebugMessage("Shrinking Main");
var width = main_button_image.Width();
if (width>150)
    {
    var pos = 40;
    main_button_image.MoveBy( 0, pos );
    main_button_image.GrowBy( -pos*2, -pos );
    }
}

// ------------------------------------------------------------
// OpenMain()
// ------------------------------------------------------------

function OpenMain()
{
if (!main_button_image) main_button_image = new d_Image( 'main_button_image' );
//if (!main_button_timer) main_button_timer = new d_Timer( 'main_button_timer' );
//if (main_button_timer && main_button_image)
//    {
//    main_button_timer.Interval = 1;
//    main_button_timer.TimeOut = 10;
//    main_button_timer.Stop();
//    main_button_timer.OnTick = GrowMain;
//    main_button_timer.Reset();
//    main_button_timer.Start();
//    }

main_button_image.LoadFromFile( 'Images/Frame_400_by_200.gif' );
main_button_image.GrowTo( 400, 200 );
//main_button_image.MoveBy( 0, -200 );
}

// ------------------------------------------------------------
// CloseMain()
// ------------------------------------------------------------

function CloseMain()
{
//if (main_button_timer && main_button_image)
//    {
//    main_button_timer.Interval = 1;
//    main_button_timer.TimeOut = 20;
//    main_button_timer.Stop();
//    main_button_timer.OnTick = ShrinkMain;
//    main_button_timer.Reset();
//    main_button_timer.Start();
//    }

main_button_image.LoadFromFile( 'Images/Frame_150_by_30.gif' );
main_button_image.GrowTo( 150, 30 );
//main_button_image.MoveBy( 0, 200 );
}

// ------------------------------------------------------------

