<?

// ------------------------------------------------------------------------
// File: DJD_Image.php3
// Date: 8th August 2000
// Author: Darren John Dwyer
//
// Copyright (c) 2000 Darren John Dwyer, All Rights Reserved.
//
// Description:
//
// This file encodes the php3 image functions into the DJD_Image class.
//
// ------------------------------------------------------------------------

include("DJD_Class.php3");

// ------------------------------------------------------------------------

var $Global_DJD_Image_Counter = 0;

// ------------------------------------------------------------------------

class DJD_Image extends DJD_Class
	{
	// ------------------------------------------------------------------
	// The following variables can be accessed by externals
	// ------------------------------------------------------------------

	var $Width;
	var $Height;
	var $Image;

	// ------------------------------------------------------------------
	// The following methods can be accessed by externals
	// ------------------------------------------------------------------

	function DJD_Image( $class_name, $class_type = "DJD_Image" )
		{
		$this->DJD_Class( $class_name, $class_type );

		$this->Width = $width;
		$this->Height = $height;
		$this->Image = ImageCreate( $width, $height );
		}

	function ~DJD_Image()
		{
		ImageDestroy( $this->Image );
		$this->~DJD_Class();
		}


	function GetSize()
		{
		return GeDJD_ImageSize( $this->Image );
		}

	function DrawArc( $x_center, $y_center, $width, $height, $start_degree, $end_degree, $color )
		{
		return ImageArc( $this->Image, $x_center, $y_center, $width, $height, $start_degree, $end_degree, $color );
		}

	function DrawCharHorizontal( $font, $x, $y, $string, $color )
		{
		return ImageChar( $this->Image, $font, $x, $y, $string, $color );
		}

	function DrawCharVertical( $font, $x, $y, $string, $color )
		{
		return ImageCharUp( $this->Image, $font, $x, $y, $string, $color );
		}

	function CreateColor( $red, $green, $blue )
		{
		return ImageColorAllocate( $this->Image, $red, $green, $blue );
		}

	function SetTransparentColor( $color )
		{
		return ImageColorTransparent( $this->Image, $color );
		}

	function Create( $width, $height )
		{
		if ($this->Image) $this->Destroy();
		$this->Image = ImageCreate( $width, $height );
		}

	// ------------------------------------------------------------------
	// The following variables are meant to be accessed by internals only
	// ------------------------------------------------------------------

	// ------------------------------------------------------------------
	// The following methods are meant to be accessed by internals only
	// ------------------------------------------------------------------

	};

var $image = new DJD_Image( 100, 100 );
if ($image)
	{
	
	}

?>