// ------------------------------------------------------------
// File:        gov.js
// Copyright:   (c) 2002 Darren John Dwyer
//              All Rights Reserved.
//
// ------------------------------------------------------------
// Library Macros
//
// This file contains macros applicable to the entire d_lib
// ------------------------------------------------------------

// ------------------------------------------------------------
// d_lib_Debug: set to true to enable debugging
// ------------------------------------------------------------

var d_lib_Debug = false;

// ------------------------------------------------------------

var Browser_Is_Compatible = false;

// The following method checks the browser's compatibility with JavaScript 1.2
// and sets the Browser_Is_Compatible variable to true if compatible, false otherwise

function CheckBrowserCompatibility()
{
var name = navigator.appName;
var version = parseFloat(navigator.appVersion);

if ((name == 'Netscape' && version >= 3) || 
    (name == 'Microsoft Internet Explorer' && version >= 4))

    Browser_Is_Compatible = true;
else

    Browser_Is_Compatible = false;

return Browser_Is_Compatible;
}


// ------------------------------------------------------------
// Menu
// ------------------------------------------------------------

var Flip_Images_Hi = new Array();
var Flip_Images_Lo = new Array();
var Flip_Images_Path = ".";
var Flip_Default_Button = "";

function Flip_SetImagesPath( path )
{
Flip_Images_Path = path;
}

function Flip_SetDefaultButton( name )
{
Flip_Default_Button = name;
document.images[name].src = Flip_Images_Hi[name].src;    
}

function Flip_LoadImage( image_name )
{
Flip_Images_Hi[image_name] = new Image();
Flip_Images_Lo[image_name] = new Image();

Flip_Images_Hi[image_name].src = Flip_Images_Path+"/Images/"+image_name+"_Hi.gif";
Flip_Images_Lo[image_name].src = Flip_Images_Path+"/Images/"+image_name+"_Lo.gif";

return true;
}

function Flip_HighlightButton( button_name )
{
if (Browser_Is_Compatible)
  {
  // lowlight the existing button
  if (Flip_Default_Button != "")
    if (Flip_Default_Button != button_name)
      document.images[Flip_Default_Button].src = Flip_Images_Lo[Flip_Default_Button].src;

  // highlight desired button
  document.images[button_name].src = Flip_Images_Hi[button_name].src;
  }
return true;
}

function Flip_LowlightButton( button_name )
{
if (Browser_Is_Compatible)
  document.images[button_name].src = Flip_Images_Lo[button_name].src;

return true;
}

function TObject( Name )
{
// Declare any Properties
this.Name = Name;
this.Type = "TObject";

// Declare any Methods
this.GetName = TObject_GetName;
}

function TObject_GetName()
{
var Name = this.Name;
return Name;
}


