<?

// ------------------------------------------------------------------------
// File: DJD_Class.php3
// Date: 8th August 2000
// Author: Darren John Dwyer
//
// Copyright (c) 2000 Darren John Dwyer, All Rights Reserved.
//
// Description:
//
// This file encodes the lowest-level class, used as the basis for all
// other classes in this heirachy.
//
// ------------------------------------------------------------------------

var $Global_DJD_Class_Counter;

// ------------------------------------------------------------------------

class DJD_Class
	{
	// ------------------------------------------------------------------
	// The following variables can be accessed by externals
	// ------------------------------------------------------------------

	var $Name;
	var $Type;
	var $ID;

	// ------------------------------------------------------------------
	// The following methods can be accessed by externals
	// ------------------------------------------------------------------

	function DJD_Class( $class_name, $class_type )
		{
		$this->Name = $class_name;
		$this->Type = $class_type;
		$this->ID = $Global_DJD_Class_Counter++;
		}

	function ~DJD_Class()
		{
		$Global_DJD_Class_Counter--;
		}

	// ------------------------------------------------------------------
	// The following variables are meant to be accessed by internals only
	// ------------------------------------------------------------------

	// ------------------------------------------------------------------
	// The following methods are meant to be accessed by internals only
	// ------------------------------------------------------------------

	};

?>