<?php

// -----------------------------------------------
// File:  	Top_Left.php3
// Author: 	Darren John Dwyer
// Date: 	21st August 2000
// Comment:	This file creates the top-left menu
//		image used on darren-john-dwyer.com
// -----------------------------------------------

  Header("Content-type: image/gif");

// -----------------------------------------------
// create an image

  $image = ImageCreate( 150, 30 );

// -----------------------------------------------
// determine colors suitable for painting the image

  $black = ImageColorAllocate( $image, 0, 0, 0 );
  $white = ImageColorAllocate( $image, 255, 255, 255 );
  $red   = ImageColorAllocate( $image, 255, 0, 0 );

  $dark_border = ImageColorAllocate( $image, 0, 96, 0 );
  $light_border = ImageColorAllocate( $image, 0, 255, 0 );
  $background_color = ImageColorAllocate( $image, 0, 64, 0 );

// -----------------------------------------------
// paint directly onto the image

  ImageArc( $image, 10, 10, 20, 20, 180, 270, $light_border );
  ImageLine( $image, 11, 0, 150, 0, $light_border );
  ImageLine( $image, 0, 11, 0, 30, $light_border );

  ImageArc( $image, 20, 30, 20, 20, 180, 270, $dark_border );
  ImageLine( $image, 20, 20, 150, 20, $dark_border );

  ImageFill( $image, 10,10, $background_color );

  ImageString( $image, 3, 25, 5, "MAIN PAGE", $black );
  ImageString( $image, 3, 24, 4, "MAIN PAGE", $white );


//  ImageRectangle( $image, 0, 0, 399, 399, $red );
//  ImageFilledRectangle( $image, 1,1,398,398, $green );
//  for ($i=0;$i<=10;$i++)
//     ImageString( $image, $i, $i*5, 50+$i*20, $message, $white );


// -----------------------------------------------
// make the image transparent

  ImageColorTransparent( $image, $black );

// -----------------------------------------------
// send image to browser

  ImageGif( $image );

// -----------------------------------------------
// destroy the image

  ImageDestroy( $image );

// -----------------------------------------------
// done
?>
